Bug 727723 - In document view, clicking on "Copy source" icons should copy the source to then cell in same row, not the active cell editor on other row.
In document view, clicking on "Copy source" icons should copy the source to t...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity urgent
: Sprint-26
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-02 23:13 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-08-02 23:13:21 EDT
Description of problem:
Currently in document view, clicking on "Copy source" icons copies source from the same row, but mistakenly to the active cell editor, which might at different row.

Version-Release number of selected component (if applicable):
1.4-SNAPSHOT (20110801-1242)

How reproducible:
Always

Steps to Reproduce:
1. Enter the document view from any project and version.
2. Activated cell editor of 1st row by clicking the translation cell.
3. Click the "Copy Source" icon on the 2nd row.
  
Actual results:
Source text of 2nd row are copied to the 1st row.


Expected results:
Cell editor at 1st row should be closed and saved;
then open the cell editor to fill the source text from 2nd row.
Comment 1 Ding-Yi Chen 2011-08-05 00:37:29 EDT
VERIFIED with  Zanata version 1.4-SNAPSHOT (20110805-0602).

Note You need to log in before you can comment on or make changes to this bug.